Subject: bug#21908: find -f breaks pipes ?

From: Flemming Gulager Danielsen <[email-masked]>
Date: Fri, 13 Nov 2015 14:20:09 +0000

Hi Guyz!

I am new here so if this is not the proper use of the maillist then I am sorry. I normally think I know my way around shells, but this I cant get the below to work. And I am wondering if it is a bug I need to report on tail util.

I run this command on a file.

tail -f testfile | tr -d H | grep e

while I in another shell

echo "Testing" >> testfile.

If leave out "| grep e" I get the output. I have tried with xargs echo {} also, but I get nothing if I go beond 2 pipes. It works fine if I go through a while read loop.

---
Med venlig hilsen / best regards
Flemming Danielsen
IT-Specialist
Email:    [email-masked]<mailto:[email-masked]>
Mobil    +45 2026 9291
Telefon +45 8833 0478

Komplex-it A/S * Lyskær 13B * 2730 Herlev * www.komplex-it.dk<http://www.komplex-it.dk>